<div class="topbar">
  <nav class="navbar navbar-custom">
    <div class="d-flex w-100 mx-0 header-container">
      <div class="p-1 d-flex justify-content-center header-logo-container">
        <a routerLink="./home" class="logo">
          <span><img src="assets/images/logo.png" alt="logo-large" class="logo-lg m-0"></span>
        </a>
      </div>

      <div class="d-flex justify-content-center align-items-center w-100 mx-5 py-2 header-action-continer border-bottom-header">
        <div class="d-flex justify-content-between w-100 header-action-area">

          <div class="nav-item-collapse dropdown d-flex align-items-center pl-4" style="width: 20%;">
            <a href="#" class="dropdown-toggle text-orange-primary" data-toggle="dropdown">
              <img class="icon-header" src="assets/images/lang-img.png" alt="language" /> <span class="text-orange-primary mx-1">{{ language.name }}</span>
            </a>
            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <ng-container *ngFor="let language of languages">
                <li role="button" class="dropdown-item" (click)="setNewLanguageRefresh(language.lang)">
                  <img class="icon-header mr-1 mb-2 rounded" src="{{ language.flag }}"> {{ language.name }}
                </li>
              </ng-container>
            </ul>
          </div>

          <div class="d-flex justify-content-center align-items-center w-50 header-search-area">
            <form *ngIf="isSearch" (submit)="onSearchSubmit()" class="w-100">
              <div class="input-group ">
                <span class="input-group-text box-icon-search"><i class="material-icons" style="font-size: 17px;">search</i></span>
                <input #input class="form-control mat-small" placeholder="{{'SEARCH_DOCUMENT_BY_NAME_OR_DESCRIPTION' | translate}}..." type="text" style="width: 80%;" (keydown.enter)="onSearchSubmit()">
              </div>
            </form>
          </div>

          <div class="w-25 d-flex justify-content-end mr-4 nav-item-collapse">
            <div class="d-flex justify-content-center align-items-center">
              <a class="cursor-pointer mr-2" (click)="onMyProfile()">
                <!-- <span class="left-fa-icon text-dark"><i class="la la-id-card fs-19"></i></span> -->
                <span><img src="assets/images/my-profile-logo.png" class="icon-header"></span>
                <span class="mb-0 text-orange-primary">{{'MY_PROFILE' | translate}}</span>
              </a>

              <a class="cursor-pointer ml-2" (click)="onLogout()">
                <!-- <span class="left-fa-icon text-dark"><i class="la la-sign-out-alt fs-19"></i></span> -->
                <span><img src="assets/images/singout-logo.png" class="icon-header"></span>
                <span class="mb-0 text-orange-primary">{{'LOGOUT' | translate}}</span>
              </a>
            </div>
          </div>
        </div>

        <div class="nav-item-collapse-toggle">
          <button mat-button [matMenuTriggerFor]="menuHeader" class="text-orange-primary p-0" style="min-width: 30px;">
            <i class="las la-ellipsis-v text-orange-primary" style="font-size: x-large;"></i>
          </button>

          <mat-menu #menuHeader="matMenu" xPosition="before">
            <button mat-menu-item [matMenuTriggerFor]="menuLanguage" class="text-orange-primary">
              <img class="icon-header" src="assets/images/lang-img.png" alt="language" /> <span class="text-orange-primary mx-1">{{ language.name }}</span>
            </button>
            <button mat-menu-item class="text-orange-primary" (click)="onMyProfile()">
              <span><img src="assets/images/my-profile-logo.png" class="icon-header"></span>
              <span class="mb-0 text-orange-primary">{{'MY_PROFILE' | translate}}</span>
            </button>
            <button mat-menu-item class="text-orange-primary" (click)="onLogout()">
              <span><img src="assets/images/singout-logo.png" class="icon-header"></span>
              <span class="mb-0 text-orange-primary">{{'LOGOUT' | translate}}</span>
            </button>
          </mat-menu>

          <mat-menu #menuLanguage="matMenu">
            <ng-container *ngFor="let language of languages">
              <button mat-menu-item (click)="setNewLanguageRefresh(language.lang)">
                <img class="icon-header mr-1 mb-2 rounded" src="{{ language.flag }}"> {{ language.name }}
              </button>
            </ng-container>
          </mat-menu>
        </div>

        <!-- <button class="navbar-toggler ml-auto nav-item-collapse-toggle" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"><i class="las la-ellipsis-v text-orange-primary"></i></span>
        </button> -->

      </div>

    </div>


    <!-- <button class="navbar-toggler ml-auto mr-2" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"><i class="las la-ellipsis-v text-orange-primary"></i></span>
    </button> -->

    <div class="collapse navbar-collapse nav-item-collapse-toggle" id="navbarSupportedContent">
      <ul class="list-unstyled topbar-nav ml-auto topbar-nav-right mb-0 float-right hide-when-toogle">
        <li class="nav-item dropdown">
          <a href="#" class="dropdown-toggle nav-link text-orange-primary" data-toggle="dropdown">
            <img class="icon-header" src="assets/images/lang-img.png" alt="language" /> <span class="text-orange-primary mx-1">{{ language.name }}</span>
          </a>
          <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
            <ng-container *ngFor="let language of languages">
              <li role="button" class="dropdown-item" (click)="setNewLanguageRefresh(language.lang)">
                <img class="icon-header mr-1 mb-2 rounded" src="{{ language.flag }}"> {{ language.name }}
              </li>
            </ng-container>
          </ul>
        </li>

        <!-- <li class="nav-item text-dark">
          <a class="nav-link dropdown text-dark">
            <span class="left-fa-icon text-dark">
              <i class="la la-user fs-19"></i>
            </span>
            {{appUserAuth.firstName}} {{appUserAuth.lastName}}
          </a>
        </li> -->
        <!-- <li class="nav-item notification">
          <a class="nav-link cursor-pointer">
            <span class="mb-0 dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true"
              aria-expanded="false">
              <span class="notification-area" *ngIf="notifications">
                <i class="la la-bell"></i>
                <div class="count">
                  <div class="number">{{newNotificationCount}}</div>
                </div>
              </span>
            </span>
            <ul *ngIf="notifications" class="dropdown-menu">
              <li class="head text-light bg-dark">
                <div class="row">
                  <div class="col-lg-12 col-sm-12 col-12">
                    <span>{{'NOTIFICATIONS' | translate}} ({{notifications.length}})</span>
                    <a (click)="markAllAsReadNotification()" class="float-right text-light">{{'MARK_ALL_AS_READ' |
                      translate}}</a>
                  </div>
                </div>
              </li>
              <li class="sub-level-menu">
                <ul>
                  <li class="notification-box" [class.bg-gray]="isOdd"
                    *ngFor="let notification of notifications; let isOdd=odd;">
                    <div class="col-md-12 row">
                      <div class="col-md-2">
                        <i (click)="viewNotification(notification)"
                          class="las  text-primary la-eye m-right-10 fs-27 d-block" title="view"></i>
                        <i (click)="markAsReadNotification(notification.id)"
                          class="las text-success la-check-square fs-27" data-toggle="tooltip" data-placement="bottom"
                          title="Mark as Read"></i>
                      </div>
                      <div class="col-md-10">
                        <ng-container *ngIf="!notification.message">
                          <p class="mb-0">
                            <span *ngIf="!notification.isRead" class="badge badge-success">new</span>
                            <b> {{notification.document.name}} </b> {{'DOCUMENT_PERMISSION_GRANTED_TO_YOU' | translate}}
                          </p>
                        </ng-container>
                        <ng-container *ngIf="notification.message">
                          <p class="mb-0">
                            <span *ngIf="!notification.isRead" class="badge badge-success">new</span>
                            <b> {{notification.message}} </b>
                            {{'REMINDER' | translate}}
                            <ng-container * ngIf="notification.document">
                              ::{{notification.document?.name}}
                            </ng-container>
                          </p>
                        </ng-container>
                        <small class="text-info">{{notification.createdDate | date: 'dd/MM/yyyy' }}</small>
                      </div>
                    </div>
                  </li>
                </ul>
              </li>
              <li class="footer bg-dark text-center text-center d-flex justify-content-center">
                <a [routerLink]="['/notifications']" class="text-light p-0 width-auto">{{'VIEW_ALL' | translate}}</a>
              </li>
            </ul>
          </a>
        </li> -->

        <li class="nav-item">
          <a class="nav-link cursor-pointer" (click)="onMyProfile()">
            <span><img src="assets/images/my-profile-logo.png" class="icon-header"></span>
            <span class="mb-0 text-orange-primary">{{'MY_PROFILE' | translate}}</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" (click)="onLogout()">
            <span><img src="assets/images/singout-logo.png" class="icon-header"></span>
            <span class="mb-0 text-orange-primary">{{'LOGOUT' | translate}}</span>
          </a>
        </li>
      </ul>
    </div>
  </nav>
</div>
